<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\CallLogMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CallParticipant extends \Google\Protobuf\Internal\Message
{
    


    protected $jid = null;
    


    protected $callOutcome = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getJid()
    {
        return isset($this->jid) ? $this->jid : '';
    }

    public function hasJid()
    {
        return isset($this->jid);
    }

    public function clearJid()
    {
        unset($this->jid);
    }

    




    public function setJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->jid = $var;

        return $this;
    }

    



    public function getCallOutcome()
    {
        return isset($this->callOutcome) ? $this->callOutcome : 0;
    }

    public function hasCallOutcome()
    {
        return isset($this->callOutcome);
    }

    public function clearCallOutcome()
    {
        unset($this->callOutcome);
    }

    




    public function setCallOutcome($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\CallLogMessage\CallOutcome::class);
        $this->callOutcome = $var;

        return $this;
    }

}

